/*
 *   Require JDK 1.3
 *           
 *   Copyright (C) 1999  Andrea Gini
 *
 *   This work was based on some code written by Andea Anzani
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Send questions or suggestions to ginian@tiscalinet.it
 *
 */
import java.awt.*; 
import javax.swing.*;
import javax.swing.border.*;

public class BorderedTextEditor extends TextEditor {
  protected JMenuBar createMenuBar() {
    JMenuBar mb = super.createMenuBar();
    mb.setBorder(new MatteBorder(7,12,7,12,new ImageIcon("Texture_wood_004.jpg")));
    mb.setBackground(new Color(224,195,96));
    return mb;
  }
   protected JToolBar createToolBar() {
    JToolBar tb = super.createToolBar();
    tb.setBorder(new MatteBorder(7,12,7,12,new ImageIcon("Texture_wood_004.jpg")));
    tb.setBackground(new Color(224,195,96));
    return tb;
  }
  protected JComponent createCenterComponent() {
    JComponent c = super.createCenterComponent();
    c.setBorder(new MatteBorder(7,12,7,12,new ImageIcon("Texture_wood_004.jpg")));
    return c;
  }
  public static void main(String argv[]) {
    BorderedTextEditor t = new BorderedTextEditor();
  }
}